Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.taglib
Class AbstractTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.meshcms.taglib.AbstractTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, com.opensymphony.module.sitemesh.RequestConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AdminMenu, AdminPath, AlibMenu, Breadcrumbs, ContextPath, DefaultCSS, Editor, Feed, IfAdminPage, IfEditing, IfIndexed, IfLang, IfMailForm, IfModule, IfNotAdminPage, IfNotEditing, IfNotIndexed, IfNotMailForm, IfNotModule, IfNotUser, IfUser, Info, LangMenu, LastModified, Links, ListMenu, MailForm, Module, ModuleTitle, PageBody, PageHead, PageTitle, SearchFile, SetLocale, SimpleMenu, ThemePath, TigraMenu, User

public abstract class AbstractTag
extends javax.servlet.jsp.tagext.TagSupport
implements com.opensymphony.module.sitemesh.RequestConstants

This class works as a base for all tags of the MeshCMS custom tags library.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PAGE_MODULES` Name of the page context attribute that stores the descriptions of the modules contained in a page.
`static java.util.regex.Pattern` | `PARAM_REGEX`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, FILTER_APPLIED, PAGE, ROBOT, USING_STREAM`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AbstractTag()`

Method Summary
`int` | `doStartTag()` Initializes some variables, then executes `writeTag()` if the page is being viewed or `writeEditTag()` if it is being edited.
`java.lang.String` | `getHead()`
`java.lang.String` | `getMailFormAddress()`
`protected java.io.Writer` | `getOut()` Copied from com.opensymphony.module.sitemesh.taglib.AbstactTag for compatibility with SiteMesh
`protected com.opensymphony.module.sitemesh.Page` | `getPage()` Copied from com.opensymphony.module.sitemesh.taglib.AbstactTag for compatibility with SiteMesh
`int` | `getStartTagReturnValue()` Defines the return value of `doStartTag()`.
`void` | `writeEditTag()` Writes the contents of the tag when the page is being edited.
`abstract void` | `writeTag()` Writes the contents of the tag.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_MODULES

    public static final java.lang.String PAGE_MODULES

  Name of the page context attribute that stores the descriptions of the modules contained in a page.

  See Also:
    Constant Field Values

### PARAM_REGEX

    public static final java.util.regex.Pattern PARAM_REGEX

Constructor Detail

### AbstractTag

    public AbstractTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Initializes some variables, then executes `writeTag()` if the page is being viewed or `writeEditTag()` if it is being edited.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    the value returned by `getStartTagReturnValue()`
  Throws:
    `javax.servlet.jsp.JspException`

### getStartTagReturnValue

    public int getStartTagReturnValue()

  Defines the return value of `doStartTag()`. This method can be overridden by subclasses to change that value. The default implementation returns SKIP_BODY.

  See Also:
    `doStartTag()`

### writeTag

    public abstract void writeTag()
                           throws java.io.IOException,
                                  javax.servlet.jsp.JspException

  Writes the contents of the tag. Subclasses will use this method to write to the page.

  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### writeEditTag

    public void writeEditTag()
                      throws java.io.IOException,
                             javax.servlet.jsp.JspException

  Writes the contents of the tag when the page is being edited. The default implementation calls `writeTag()`. Subclasses can override it when they behave differently while editing.

  Throws:
    `java.io.IOException`
    `javax.servlet.jsp.JspException`

### getPage

    protected com.opensymphony.module.sitemesh.Page getPage()

  Copied from com.opensymphony.module.sitemesh.taglib.AbstactTag for compatibility with SiteMesh

### getOut

    protected java.io.Writer getOut()

  Copied from com.opensymphony.module.sitemesh.taglib.AbstactTag for compatibility with SiteMesh

### getHead

    public java.lang.String getHead()

### getMailFormAddress

    public java.lang.String getMailFormAddress()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD